# This file created by conda-build 24.1.2
# ------------------------------------------------

package:
  name: rust
  version: 1.76.0
source:
  - sha256: 9d589d2036b503cc45ecc94992d616fb3deec074deb36cacc2f5c212408f7399
    url: https://static.rust-lang.org/dist/rust-1.76.0-x86_64-unknown-linux-gnu.tar.gz
build:
  binary_relocation: false
  missing_dso_whitelist:
    - $RPATH/libLLVM-14-rust-1.64.0-stable.so
    - '**/ld-linux-x86-64.so.2'
    - '**/ld64.so.*'
    - '**/libc.so.6'
    - '**/libdl.so.2'
    - '**/libgcc_s.so.1'
    - '**/libgcc_s.so.1'
    - '**/libm.so.6'
    - '**/libpthread.so.0'
    - '**/librt.so.1'
    - '**/libstdc++.so.6'
    - '**/libz.so.1'
    - /System/Library/Frameworks/Python.framework/Versions/2.7/Python
    - /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    - /usr/lib/libc++.1.dylib
    - /usr/lib/libc++abi.dylib
    - /usr/lib/libcompression.dylib
    - /usr/lib/libcurl.4.dylib
    - /usr/lib/libedit.3.dylib
    - /usr/lib/libform.5.4.dylib
    - /usr/lib/libiconv.2.dylib
    - /usr/lib/libncurses.5.4.dylib
    - /usr/lib/libpanel.5.4.dylib
    - /usr/lib/libresolv.9.dylib
    - /usr/lib/libxar.1.dylib
    - /usr/lib/libxml2.2.dylib
  number: 0
  runpath_whitelist:
    - $ORIGIN/../lib
  string: h6a678d5_0
requirements:
  build: []
  run: []
test:
  commands:
    - rustc --version
    - cargo --help
    - rustc --help
    - rustdoc --help
    - time bash ./forge_test.sh
  files:
    - forge_test.sh
  requires:
    - gcc_linux-64 11.2.0.*
    - gxx_linux-64 11.2.0.*
about:
  description: 'This package provides the compiler (rustc) and the documentation utilities
    rustdoc.

    '
  dev_url: https://github.com/rust-lang/rust
  doc_url: https://www.rust-lang.org/learn
  home: https://www.rust-lang.org
  license: MIT AND Apache-2.0
  license_family: OTHER
  license_url: https://github.com/rust-lang/rust/blob/1.76.0/COPYRIGHT
  summary: 'Rust is a systems programming language that runs blazingly fast, prevents
    segfaults, and guarantees thread safety.

    '
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 7f7d19ae-744a-432b-b5ce-f977121699c6
  recipe-maintainers:
    - abhi18av
    - dlaehnemann
    - johanneskoester
    - katietz
    - pkgw
  remote_url: git@github.com:AnacondaRecipes/rust-feedstock.git
  sha: 45ada94df756d4405adcd54e76989f7e1c2c86aa
  skip-lints:
    - missing_license_file
